e719
Mission Specialist
Mission Specialist
  • 900 Views

DO280 v4.6 lab9.1 error

in item 6. There are 7 parameters, but in solution there are 8 parameters

WORDPRESS_DB_USER=root missed in the task, but presents in solution, so you will have problems with connecting to database because of that
There were problems with this item in 4.5 version as I found in this forum

Labels (1)
7 Replies
JL777
Mission Specialist
Mission Specialist
  • 683 Views

Nice catch.

tonejito
Mission Specialist
Mission Specialist
  • 488 Views

We will post a fix for this issue of the review-troubleshoot (ch09s02) compreview lab in the next book update.

The issue is tracked in the following Jira tickets:

https://training-feedback.redhat.com/projects/DO280/issues/DO280-541

- https://training-feedback.redhat.com/projects/DO280/issues/DO280-551

 

0 Kudos
alleb
Mission Specialist
Mission Specialist
  • 361 Views

Has this update been published? I had the same issue today and the change is not in the current version of the course.

 

I also experienced the grading issue described in DO280-564 which is marked as fixed, but the issue still occurs.

0 Kudos
alexcorcoles
Flight Engineer
Flight Engineer
  • 321 Views

Hi,

These Jira issues were fixed in May- the only release after that was the 4.10 update, which I believe should solve the first issues (DO280-541/551), but not DO280-564.

I have reopened DO280-564. If the other issues are not fixed, I suggest you open a new Jira, because it might be confusing to reuse the existing issues.

Cheers,

Álex

0 Kudos
alleb
Mission Specialist
Mission Specialist
  • 307 Views

I don't seem to be able to login to the JIRA, but the instructions for ch09s02 step 6 reported in DO280-551 are currently as follows which does not mention the WORDPRESS_DB_USER that the solution sets.

The Wordpress application requires that you set several environment variables. The required environment variables are: WORDPRESS_DB_HOST with a value of mysql, WORDPRESS_DB_NAME to have a value of wordpress, WORDPRESS_USER with a value of wpuser, WORDPRESS_PASSWORD with a value of wppass, WORDPRESS_TITLE to have a value of review-troubleshoot, WORDPRESS_URL with a value of wordpress.${RHT_OCP4_WILDCARD_DOMAIN} and WORDPRESS_EMAIL with a value of student@redhat.com.

 

Thanks

0 Kudos
alexcorcoles
Flight Engineer
Flight Engineer
  • 302 Views

That's weird. If I go to:

https://rol.redhat.com/rol/app/courses/do280-4.10/pages/ch09s02

I see:

> WORDPRESS_DB_USER to have a value of root.

The text you pasted doesn't seem to match any version I can see in ROL. Where are you seeing this?

(I'm having some glitches on ROL right now, so maybe I'm also seeing incorrect things...)

Cheers,

Álex

0 Kudos
alleb
Mission Specialist
Mission Specialist
  • 285 Views

Ahh, I think I see the disconnect.  The course I'm enrolled in is version 4.6.

Either this is because I enrolled 2 weeks ago and missed the new version...or perhaps the new version isn't available to me or isn't in the catalog?  I enrolled through the Partner Training Portal.  When I access the link above for 4.10 I get "We are sorry, this content is not available." (though unsure if it would let me open the page without being enrolled in that version).

0 Kudos
Join the discussion
You must log in to join this conversation.